<?php

namespace App\Entity;

use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;


class Ride
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 30)]
    private ?string $label = null;

    #[ORM\Column]
    private ?int $count = null;

    #[ORM\ManyToOne(targetEntity: Assignment::class, inversedBy: 'ride')]
    private Collection $assignments;

    #[ORM\ManyToOne(targetEntity: Representation::class, inversedBy: 'ride')]
    private Collection $representations;

    #[ORM\ManyToOne(targetEntity: IncidentType::class, inversedBy: 'ride')]
    private Collection $incidentTypes;

    #[ORM\ManyToOne(targetEntity: Mission::class, inversedBy: 'ride')]
    private Collection $missions;

    public function getAssignments(): Collection
    {
        return $this->assignments;
    }

    public function setAssignments(Collection $assignments): void
    {
        $this->assignments = $assignments;
    }

    public function getRepresentations(): Collection
    {
        return $this->representations;
    }

    public function setRepresentations(Collection $representations): void
    {
        $this->representations = $representations;
    }



    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(string $label): static
    {
        $this->label = $label;

        return $this;
    }

    public function getCount(): ?int
    {
        return $this->count;
    }

    public function setCount(int $count): static
    {
        $this->count = $count;

        return $this;
    }

    public function getIncidentTypes(): Collection
    {
        return $this->incidentTypes;
    }

    public function setIncidentTypes(Collection $incidentTypes): void
    {
        $this->incidentTypes = $incidentTypes;
    }

    public function getMissions(): Collection
    {
        return $this->missions;
    }

    public function setMissions(Collection $missions): void
    {
        $this->missions = $missions;
    }


}
